
import javax.swing.*;
import java.awt.BorderLayout;
import java.awt.Container;

// The main GUI window
public class Painter extends JFrame {
	// Instance variables
	private Container mainpane;

	// Constants
	// Initial co-ordinates of top left corner
	private static final int LEFT = 50;
	private static final int UP = 50;
	// Label of window
	private static final String WLABEL = "Swing Painter";
	private static final String INSTRUCTIONS =
		"<html><h5>Instructions</h5>Left mouse button paints. Try dragging.<br>Right mouse button " +
		"changes painting mode.<br>Mouse wheel zooms/unzooms.<br>Middle button " +
		"switches on/off special zoom effect.</html>";
	
	public Painter() {
		super(WLABEL);
		initialize();
	}

	private void initialize() {
		mainpane = getContentPane();
		
		PaintCanvas canvas = new PaintCanvas();
		JPanel canvasPanel = new JPanel();
		JLabel instructions = new JLabel(INSTRUCTIONS);

		instructions.setBorder(BorderFactory.createEmptyBorder(0,10,10,0));
		canvasPanel.setBorder(BorderFactory.createTitledBorder("Paint Area"));
		canvasPanel.add(canvas);

		mainpane.add(canvasPanel, BorderLayout.CENTER);
		mainpane.add(instructions, BorderLayout.NORTH);
		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setLocation(LEFT, UP);
		pack();
		setVisible(true);
	}
	
	// Must establish GUI in Event dispatching thread
	public static void main(String[] args) {
	    javax.swing.SwingUtilities.invokeLater(new Runnable() {
	        public void run() {
	            new Painter();
	        }
	    });
	}
}

